@charset "UTF-8";

/*　ハンバーガーボタン　*/
.hamburger {
    display: block;
    position: fixed;
    z-index: 99999;
    right: 13px;
    top: 25px;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    cursor: pointer;
    text-align: center;
    background-color: #D0A242;
}

.hamburger span {
    display: block;
    position: absolute;
    width: 22px;
    height: 2.4px;
    left: 14px;
    background: #fff;
    border-radius: 10px;
    -webkit-transition: 0.5s ease-in-out;
    -moz-transition: 0.5s ease-in-out;
    transition: 0.5s ease-in-out;
}

.hamburger span:nth-child(1) {
    top: 16px;
}

.hamburger span:nth-child(2) {
    top: 24px;
}

.hamburger span:nth-child(3) {
    top: 32px;
}

/* ナビ開いてる時のボタン */
.hamburger.active span:nth-child(1) {
    top: 25px;
    left: 13px;
    -webkit-transform: rotate(315deg);
    -moz-transform: rotate(315deg);
    transform: rotate(315deg);
}

.hamburger.active span:nth-child(2) {
    opacity: 0;
}

.hamburger.active span:nth-child(3) {
    top: 25px;
    -webkit-transform: rotate(-315deg);
    -moz-transform: rotate(-315deg);
    transform: rotate(-315deg);
}

nav.globalMenuSp {
    position: fixed;
    z-index: 999;
    top: 0;
    left: 0;
    color: #000;
    text-align: center;
    transform: translateX(100%);
    transition: all 0.6s;
    width: 100%;
    height: 100vh;
    align-items: center;
    background: #F8F2E4;
    overflow: scroll;
}

nav.globalMenuSp ul {
    margin: 0 auto;
    padding: 0;
    width: 100%;
}

nav.globalMenuSp ul li {
    list-style-type: none;
    padding: 0;
    width: 100%;
    border-bottom: 1px solid #D0A242;
}

nav.globalMenuSp ul li:last-child {
    padding-bottom: 0;
    border-bottom: none;
}

nav.globalMenuSp ul li a {
    display: block;
    color: #343434;
    padding: 1em 0;
    text-decoration: none;
}

/* このクラスを、jQueryで付与・削除する */
nav.globalMenuSp.active {
    transform: translateX(0%);
}